<?php

namespace App\Providers\ProvidersReview\ProvidersReviewSingleReport;

use App\Providers\ExcelReport\ExcelReport;

class ProvidersReviewSingleReport
{
    public function exportToExcel(array $data)
    {
        $report = new ExcelReport();

        $cell = new ProvidersReviewSingleCells();

        $report->exportToExcel(
            [$data],
            (object)[
                'title'     => 'CALIFICACIÓN DEL PROVEEDOR - INDIVIDUAL',
                'rowLength' => 1
            ],
            [ $cell ],
            $cell->charts
        );

    }
}
